Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Create Authorizer

Prev Next

Available in Classic and VPC

Create an authorizer that can be used as an authentication method when using APIs.

Request

This section describes the request format. The method and URI are as follows:

Method URI
POST /api/v1/authorizers

Request headers

For information about the headers common to all API Gateways, see API Gateway request headers.

Request syntax

The request syntax is as follows:

{
  "authorizerName" : "authorizerName",
  "authorizerConfig" : {
    "functionId" : "functionId",
    "payload" : [ {
      "in" : "HEADER",
      "name" : "name"
    } ],
    "region" : "region"
  },
  "authorizerType" : "CLOUD_FUNCTIONS",
  "authorizerDescription" : "authorizerDescription"
}

Request body

You can include the following data in the body of your request:

Field Type Required Description
authorizerName String Required Name of Authorizer to create
  • Enter 1-20 characters, including English letters, numbers, and special characters "-" and "_".
authorizerConfig Object Required Configuration information for the Authorizer to create
authorizerConfig.functionId String Required Function name of the service (type) to be supported in the Authorizer to create
  • Example: Cloud Functions service's action name
authorizerConfig.payload Array Required Request type (header or query string) selection and variable name entry information for passing to the Authorizer for authentication processing: payload
authorizerConfig.region String Required Select the Region where the support service (type) for the Authorizer to create is located.
authorizerType String Required Select the Authorizer's support service (type).
authorizerDescription String Optional Enter the description for the Authorizer to create.
  • 0-300 characters

payload

The following describes payload.

Field Type Required Description
in String Required Payload type to specify
  • HEADER | QUERY STRING
    • HEADER: Header
    • QUERY STRING: Query string
name String Required Payload variable name

Request example

The request example is as follows:

curl -X POST 'https://apigateway.apigw.ntruss.com/api/v1/authorizers' \
--header 'Content-Type: application/json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--data '{
  "authorizerName" : "author-***",
  "authorizerConfig" : {
    "functionId" : "functionId",
    "payload" : [ {
      "in" : "HEADER",
      "name" : "payload-***"
    } ],
    "region" : "region"
  },
  "authorizerType" : "CLOUD_FUNCTIONS",
  "authorizerDescription" : "authorizer-*** Description"
}'

Response

This section describes the response format.

Response syntax

The response syntax is as follows:

{
    "authorizerId": "authorizerId",
    "tenantId": "tenantId",
    "authorizerName": "authorizerName",
    "authorizerDescription": "authorizerDescription",
    "authorizerType": "authorizerType",
    "authorizerConfig": {
        "region": "region",
        "functionId": "functionId",
        "payload": [
            {
                "in": "in",
                "name": "name"
            }
        ]
    },
    "modifier": "modifier",
    "domainCode": "domainCode",
    "modTime": "2024-05-03T01:26:57Z"
}

Response status codes

For information about the HTTP status codes common to all API Gateways, see API Gateway response status codes.

Response example

The response example is as follows:

{
    "authorizerId": "***yddjd2m",
    "tenantId": "***4402f55ae4436913a6e2c65bab47c",
    "authorizerName": "authorizer-***",
    "authorizerDescription": "authorizer-*** Description",
    "authorizerType": "CLOUD_FUNCTIONS",
    "authorizerConfig": {
        "region": "KR",
        "functionId": "***/***",
        "payload": [
            {
                "in": "HEADER",
                "name": "payload-***"
            }
        ]
    },
    "modifier": "d12c9fd0-****-****-****-246e96591a38",
    "domainCode": "PUB",
    "modTime": "2024-05-03T01:26:57Z"
}